onEvent('recipes', e => {
  e.smelting('alltheores:platinum_ingot', 'create:crushed_platinum_ore').xp(1).id('kubejs:smelting/create_platinum')
  e.smelting('allthemodium:vibranium_allthemodium_alloy_ingot', 'allthemodium:vibranium_allthemodium_alloy_dust').xp(0.5).id('kubejs:smelting/vibranium_allthemodium_alloy_dust')
  e.smelting('allthemodium:unobtainium_allthemodium_alloy_ingot', 'allthemodium:unobtainium_allthemodium_alloy_dust').xp(0.5).id('kubejs:smelting/unobtainium_allthemodium_alloy_dust')
  e.smelting('allthemodium:unobtainium_vibranium_alloy_ingot', 'allthemodium:unobtainium_vibranium_alloy_dust').xp(0.5).id('kubejs:smelting/unobtainium_vibranium_alloy_dust')
  e.remove({output: 'thermal:machine_frame'})
  e.remove({output: 'industrialforegoing:machine_frame_pity'})
  e.remove({output: 'rftoolsbase:machine_frame'})
  e.remove({output: 'mysticalagriculture:machine_frame'})
  e.remove({output: 'mekanism:steel_casing'})
  e.shaped('mekanism:steel_casing', ['SGS', 'GLG', 'SGS'], { S: '#forge:ingots/steel', G: '#forge:glass', L: 'immersiveengineering:logic_unit' }).id('kubejs:crafting/steel_casing')
  e.remove({type: 'minecraft:smelting', output: 'draconicevolution:draconium_ingot'})
  e.remove({type: 'minecraft:blasting', output: 'draconicevolution:draconium_ingot'})
  e.smelting('draconicevolution:draconium_dust', 'draconicevolution:end_draconium_ore').xp(1).id('kubejs:smelting/draconium')
  e.blasting('draconicevolution:draconium_dust', 'draconicevolution:end_draconium_ore').xp(1).id('kubejs:blasting/draconium')
  e.smelting('draconicevolution:draconium_dust', 'draconicevolution:nether_draconium_ore').xp(1).id('kubejs:smelting/draconium_nether')
  e.blasting('draconicevolution:draconium_dust', 'draconicevolution:nether_draconium_ore').xp(1).id('kubejs:blasting/draconium_nether') 
  e.smelting('draconicevolution:draconium_dust', 'draconicevolution:overworld_draconium_ore').xp(1).id('kubejs:smelting/draconium_overworld')
  e.blasting('draconicevolution:draconium_dust', 'draconicevolution:overworld_draconium_ore').xp(1).id('kubejs:blasting/draconium_overworld')
  e.remove({output: 'powah:dielectric_paste'})
  e.recipes.mekanismMetallurgicInfusing('draconicevolution:draconium_ingot', 'draconicevolution:draconium_dust', 'mekanism:refined_obsidian', 40).id('kubejs:mekanism/infusing/iron_to_draconium')
  e.recipes.mekanismMetallurgicInfusing('powah:dielectric_paste', 'minecraft:coal', 'mekanism:carbon').id('kubejs:mekanism/infusing/coal_to_dielectric_paste')
  e.shaped('mekanismgenerators:heat_generator', ['III', 'WUW', 'CFC'], { C: '#forge:ingots/copper', W: '#minecraft:planks', U: 'immersiveengineering:logic_unit', F: 'minecraft:furnace', I: 'minecraft:iron_ingot' }).id('kubejs:crafting/heat_generator')
  e.remove({output: 'thermal:dynamo_stirling'})
  e.shaped('thermal:dynamo_stirling', ['CFC', 'IGI', 'SRS'], {  C: 'immersiveengineering:circuit_board',  F: 'thermal:rf_coil', I: 'minecraft:iron_ingot',  G: 'thermal:iron_gear',  S: '#forge:stone', R: 'minecraft:redstone' }).id('kubejs:crafting/dynamo_stirling')
  e.remove({output: 'thermal:dynamo_compression'})
  e.shaped('thermal:dynamo_compression', ['ACA', 'IGI', 'BRB'], { A: 'mekanism:advanced_control_circuit', C: 'thermal:rf_coil', I: 'minecraft:iron_ingot', G: 'thermal:bronze_gear', B: 'mekanism:ingot_bronze', R: 'minecraft:redstone' }).id('kubejs:crafting/dynamo_compression')
  e.remove({output: 'thermal:dynamo_magmatic'})
  e.shaped('thermal:dynamo_magmatic', ['ACA', 'IGI', 'SRS'], { A: 'mekanism:advanced_control_circuit', C: 'thermal:rf_coil', I: 'minecraft:iron_ingot', G: 'thermal:invar_gear', S: 'thermal:invar_ingot', R: 'minecraft:redstone' }).id('kubejs:crafting/dynamo_magmatic')
  e.remove({output: 'thermal:dynamo_numismatic'})
  e.shaped('thermal:dynamo_numismatic', ['ACA', 'IGI', 'SRS'], { A: 'mekanism:advanced_control_circuit', C: 'thermal:rf_coil', I: 'minecraft:iron_ingot', S:'thermal:constantan_ingot', G: 'thermal:tin_gear', R: 'minecraft:redstone' }).id('kubejs:crafting/dynamo_numismatic')
  e.remove({output: 'thermal:dynamo_lapidary'})
  e.shaped('thermal:dynamo_lapidary', ['ACA', 'IGI', 'SRS'], { A: 'mekanism:advanced_control_circuit', C: 'thermal:rf_coil', I: 'minecraft:iron_ingot', G: 'thermal:gold_gear', S: 'minecraft:lapis_lazuli', R: 'minecraft:redstone' }).id('kubejs:crafting/dynamo_lapidary')
  e.remove({output: 'thermal:dynamo_disenchantment'})
  e.shaped('thermal:dynamo_disenchantment', ['ACA', 'IGI', 'SRS'], { A: 'mekanism:advanced_control_circuit', C: 'thermal:rf_coil', I: 'minecraft:iron_ingot', G: 'thermal:silver_gear', S: 'minecraft:experience_bottle', R: 'minecraft:redstone' }).id('kubejs:crafting/dynamo_disenchantment')
  e.remove({output: 'thermal:dynamo_gourmand'})
  e.shaped('thermal:dynamo_gourmand', ['ACA', 'IGI', 'SRS'], { A: 'mekanism:advanced_control_circuit', C: 'thermal:rf_coil', I: 'minecraft:iron_ingot', G: 'thermal:copper_gear', S: 'mekanism:ingot_tin', R: 'minecraft:redstone' }).id('kubejs:crafting/dynamo_gourmand')
  e.remove({output: 'mekanismgenerators:solar_generator'})
  e.shaped('mekanismgenerators:solar_generator', ['PPP', 'ARA', 'OTO'], { P: 'mekanismgenerators:solar_panel', A: 'mekanism:alloy_reinforced', R: 'minecraft:iron_ingot', O: 'mekanism:ingot_osmium', T: 'mekanism:energy_tablet' }).id('kubejs:crafting/solar_generator')
  e.remove({type: 'minecraft:smelting', output: 'bigreactors:graphite_ingot'})
  e.remove({type: 'minecraft:blasting', output: 'bigreactors:graphite_ingot'})
  e.replaceInput({}, 'bigreactors:graphite_ingot', 'immersiveengineering:ingot_hop_graphite')
  e.replaceOutput({}, 'bigreactors:graphite_ingot', 'immersiveengineering:ingot_hop_graphite')
  e.recipes.mekanismCrushing('immersiveengineering:dust_coke', 'immersiveengineering:coal_coke').id('kubejs:mekanism/crushing/coal_coke')
  e.recipes.createCrushing('immersiveengineering:dust_coke', 'immersiveengineering:coal_coke').id('kubejs:create/crushing/coal_coke')
  e.recipes.mekanismCrushing('9x immersiveengineering:dust_coke', 'immersiveengineering:coke').id('kubejs:mekanism/crushing/coal_coke')
  e.recipes.createCrushing('9x immersiveengineering:dust_coke', 'immersiveengineering:coke').id('kubejs:create/crushing/coal_coke')
  e.recipes.mekanismCrushing('immersivepetroleum:petcoke_dust', 'immersivepetroleum:petcoke').id('kubejs:mekanism/crushing/pet_coke')
  e.recipes.createCrushing('immersivepetroleum:petcoke_dust', 'immersivepetroleum:petcoke').id('kubejs:create/crushing/pet_coke')
  e.recipes.mekanismCrushing('9x immersivepetroleum:petcoke_dust', 'immersivepetroleum:petcoke_block').id('kubejs:mekanism/crushing/pet_coke')
  e.recipes.createCrushing('9x immersivepetroleum:petcoke_dust', 'immersivepetroleum:petcoke_block').id('kubejs:create/crushing/pet_coke')
  e.recipes.mekanismCrushing('immersiveengineering:ingot_hop_graphite', '8x immersiveengineering:dust_coke').id('kubejs:mekanism/crushing/graphite')
  e.recipes.mekanismCrushing('immersiveengineering:ingot_hop_graphite', '8x immersivepetroleum:petcoke_dust').id('kubejs:mekanism/crushing/graphite')
  e.remove({output: 'mysticalagriculture:infusion_altar'})
  e.remove({output:'mysticalagriculture:infusion_pedestal'})
  e.shaped('mysticalagriculture:infusion_altar', ['TCT','CLC','LLL'], {T: 'botania:terrasteel_ingot', C: 'minecraft:red_carpet', L: 'botania:livingrock'})
  e.shaped('mysticalagriculture:infusion_pedestal', [' T ','CLC',' L '], { T: 'botania:terrasteel_ingot', C: 'minecraft:red_carpet', L: 'botania:livingrock' })
  e.remove({output: 'forbidden_arcanus:mundabitur_dust'})
  e.shaped('4x forbidden_arcanus:mundabitur_dust', ['ACR','GPB','  '], { A: 'forbidden_arcanus:arcane_crystal_dust', C: 'minecraft:redstone', R: 'minecraft:gunpowder', G: 'mekanism:dust_diamond', P: 'minecraft:phantom_membrane', B: 'minecraft:blaze_powder' })
  e.remove({output: 'mekanism:metallurgic_infuser'})
  e.shaped('mekanism:metallurgic_infuser', ['IPI', 'RCR', 'IPI'], { P: 'minecraft:furnace', I: 'minecraft:iron_ingot', R: 'minecraft:redstone', C: 'mekanism:steel_casing' }).id('kubejs:crafting/metallurgic_infuser')
  e.replaceInput({}, 'immersiveengineering:block_of_steel', 'mekanism:block_steel')
  e.recipes.createCompacting( 'minecraft:stick', 'forbidden_arcanus:edelwood_stick').id('kubejs:create/edelwood_stick_to_stick')
  e.recipes.createPressing( 'immersiveengineering:plate_steel', '#forge:ingots/steel').id('kubejs:create/pressing/steel_plate')
  e.recipes.createCrushing([ 'silentgear:crimson_iron_dust', Item.of ('2x silentgear:crimson_iron_dust').withChance(0.3)], 'silentgear:crimson_iron_ore').id('kubejs:create/crushing/crimson_iron')
  e.recipes.createCrushing([ 'silentgear:azure_silver_dust', Item.of ('2x silentgear:azure_silver_dust').withChance(0.3)], 'silentgear:azure_silver_ore').id('kubejs:create/crushing/azure_silver')
  e.recipes.createCrushing([ 'silentgear:crimson_iron_dust', Item.of ('2x silentgear:crimson_iron_dust').withChance(0.3)], 'silentgear:raw_crimson_iron').id('kubejs:create/crushing/raw_crimson_iron')
  e.recipes.createCrushing([ 'silentgear:azure_silver_dust', Item.of ('2x silentgear:azure_silver_dust').withChance(0.3)], 'silentgear:raw_azure_silver').id('kubejs:create/crushing/raw_azure_silver')
  e.recipes.createCrushing('silentgear:blaze_gold_dust', 'silentgear:blaze_gold_ingot').id('kubejs:create/crushing/blaze_gold')
  e.recipes.mekanismCrushing('silentgear:blaze_gold_dust', 'silentgear:blaze_gold_ingot').id('kubejs:mekanism/crushing/blaze_gold')
  e.recipes.createCrushing('silentgear:azure_silver_dust', 'silentgear:azure_silver_ingot').id('kubejs:create/crushing/azure_silver')
  e.recipes.mekanismCrushing('silentgear:azure_silver_dust', 'silentgear:azure_silver_ingot').id('kubejs:mekanism/crushing/azure_silver')
  e.recipes.createCrushing('silentgear:azure_electrum_dust', 'silentgear:azure_electrum_ingot').id('kubejs:create/crushing/azure_electrum')
  e.recipes.mekanismCrushing('silentgear:azure_electrum_dust', 'silentgear:azure_electrum_ingot').id('kubejs:mekanism/crushing/azure_electrum')
  e.recipes.createPressing('immersiveengineering:plate_electrum', '#forge:ingots/electrum').id('kubejs:create/pressing/electrum_plate')
  e.recipes.createPressing('immersiveengineering:plate_aluminum', '#forge:ingots/aluminum').id('kubejs:create/pressing/aluminum_plate')
  e.recipes.createPressing('immersiveengineering:plate_lead', '#forge:ingots/lead').id('kubejs:create/pressing/lead_plate')
  e.recipes.createPressing('immersiveengineering:plate_nickel', '#forge:ingots/nickel').id('kubejs:create/pressing/nickel_plate')
  e.remove({output: 'mekanism:basic_control_circuit'})
  e.recipes.mekanismMetallurgicInfusing('mekanism:basic_control_circuit', 'immersiveengineering:circuit_board', 'mekanism:redstone', 40).id('kubejs:mekanism/infusing/circuit_to_basic_control_circuit')
  e.recipes.mekanismMetallurgicInfusing('immersiveengineering:circuit_board', '#forge:ingots/osmium', 'mekanism:redstone', 20).id('kubejs:mekanism/infusing/osmium_to_circuit')
})